Package org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Extensionconfig

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `ExtensionconfigImpl`

      public interface Extensionconfig
      extends XmlObject

  An XML extensionconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `Extensionconfig.Interface` | An XML interface(@http://xml.apache.org/xmlbeans/2004/02/xbean/config).
    `static interface` | `Extensionconfig.PrePostSet` | An XML prePostSet(@http://xml.apache.org/xmlbeans/2004/02/xbean/config).

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<Extensionconfig>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Extensionconfig.Interface` | `addNewInterface()` | Appends and returns a new empty value (as xml) as the last "interface" element
    `Extensionconfig.PrePostSet` | `addNewPrePostSet()` | Appends and returns a new empty "prePostSet" element
    `Object` | `getFor()` | Gets the "for" attribute
    `Extensionconfig.Interface[]` | `getInterfaceArray()` | Gets array of all "interface" elements
    `Extensionconfig.Interface` | `getInterfaceArray​(int i)` | Gets ith "interface" element
    `List<Extensionconfig.Interface>` | `getInterfaceList()` | Gets a List of "interface" elements
    `Extensionconfig.PrePostSet` | `getPrePostSet()` | Gets the "prePostSet" element
    `Extensionconfig.Interface` | `insertNewInterface​(int i)` | Inserts and returns a new empty value (as xml) as the ith "interface" element
    `boolean` | `isSetFor()` | True if has "for" attribute
    `boolean` | `isSetPrePostSet()` | True if has "prePostSet" element
    `void` | `removeInterface​(int i)` | Removes the ith "interface" element
    `void` | `setFor​(Object xfor)` | Sets the "for" attribute
    `void` | `setInterfaceArray​(int i, Extensionconfig.Interface xinterface)` | Sets ith "interface" element
    `void` | `setInterfaceArray​(Extensionconfig.Interface[] xinterfaceArray)` | Sets array of all "interface" element
    `void` | `setPrePostSet​(Extensionconfig.PrePostSet prePostSet)` | Sets the "prePostSet" element
    `int` | `sizeOfInterfaceArray()` | Returns number of "interface" element
    `void` | `unsetFor()` | Unsets the "for" attribute
    `void` | `unsetPrePostSet()` | Unsets the "prePostSet" element
    `JavaNameList` | `xgetFor()` | Gets (as xml) the "for" attribute
    `void` | `xsetFor​(JavaNameList xfor)` | Sets (as xml) the "for" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<Extensionconfig> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getInterfaceList

          List<Extensionconfig.Interface> getInterfaceList()

      Gets a List of "interface" elements

    - #### getInterfaceArray

          Extensionconfig.Interface[] getInterfaceArray()

      Gets array of all "interface" elements

    - #### getInterfaceArray

          Extensionconfig.Interface getInterfaceArray​(int i)

      Gets ith "interface" element

    - #### sizeOfInterfaceArray

          int sizeOfInterfaceArray()

      Returns number of "interface" element

    - #### setInterfaceArray

          void setInterfaceArray​(Extensionconfig.Interface[] xinterfaceArray)

      Sets array of all "interface" element

    - #### setInterfaceArray

          void setInterfaceArray​(int i,
                                 Extensionconfig.Interface xinterface)

      Sets ith "interface" element

    - #### insertNewInterface

          Extensionconfig.Interface insertNewInterface​(int i)

      Inserts and returns a new empty value (as xml) as the ith "interface" element

    - #### addNewInterface

          Extensionconfig.Interface addNewInterface()

      Appends and returns a new empty value (as xml) as the last "interface" element

    - #### removeInterface

          void removeInterface​(int i)

      Removes the ith "interface" element

    - #### getPrePostSet

          Extensionconfig.PrePostSet getPrePostSet()

      Gets the "prePostSet" element

    - #### isSetPrePostSet

          boolean isSetPrePostSet()

      True if has "prePostSet" element

    - #### setPrePostSet

          void setPrePostSet​(Extensionconfig.PrePostSet prePostSet)

      Sets the "prePostSet" element

    - #### addNewPrePostSet

          Extensionconfig.PrePostSet addNewPrePostSet()

      Appends and returns a new empty "prePostSet" element

    - #### unsetPrePostSet

          void unsetPrePostSet()

      Unsets the "prePostSet" element

    - #### getFor

          Object getFor()

      Gets the "for" attribute

    - #### xgetFor

          JavaNameList xgetFor()

      Gets (as xml) the "for" attribute

    - #### isSetFor

          boolean isSetFor()

      True if has "for" attribute

    - #### setFor

          void setFor​(Object xfor)

      Sets the "for" attribute

    - #### xsetFor

          void xsetFor​(JavaNameList xfor)

      Sets (as xml) the "for" attribute

    - #### unsetFor

          void unsetFor()

      Unsets the "for" attribute